Favicon

You are here: Home > API Reference > Apple > Device System Info > Get device system info

Get device system info

Get device system info

GET
/v1/organizations/:organizationId/mdm/apple/enterprise/devices/:admDeviceId/device-system-info
Copy to clipboard

Get device system info

Get device system info

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDeviceId string
required
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
data object optional
type string optional
≤ 128 characters
deviceId string optional
≤ 128 characters
date string optional
Format: date-time
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "data": {},
                "type": "string",
                "deviceId": "string",
                "date": "2024-01-01T00: 00:00Z"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}